# ScrollEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the Scroll event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ScrollEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ScrollEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ScrollEventArgs(args)

Initializes a new instance of the [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) class using the given values for the [Type](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#type) and [NewValue](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#newvalue) properties.

| Name     | Type                                                        | Description                             |
| -------- | ----------------------------------------------------------- | --------------------------------------- |
| **args** | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | The arguments received from the client. |

### ![](/files/hsR4ok3152WyAf8J2C1u) ScrollEventArgs(type, newValue)

Initializes a new instance of the [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) class using the given values for the [Type](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#type) and [NewValue](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#newvalue) properties.

| Name         | Type                                                                        | Description                                                                                    |
| ------------ | --------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| **type**     | [ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md) | One of the [ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md) values. |
| **newValue** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                 | The new value for the scroll bar.                                                              |

### ![](/files/hsR4ok3152WyAf8J2C1u) ScrollEventArgs(type, newValue, scroll)

Initializes a new instance of the [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) class using the given values for the [Type](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#type), [NewValue](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#newvalue), and [ScrollOrientation](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#scrollorientation) properties.

| Name         | Type                                                                            | Description                                                                                        |
| ------------ | ------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| **type**     | [ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md)     | One of the [ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md) values.     |
| **newValue** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                     | The new value for the scroll bar.                                                                  |
| **scroll**   | [ScrollOrientation](/api/wisej.web/enumerations/wisej.web.scrollorientation.md) | One of the [ScrollOrientation](/api/wisej.web/enumerations/wisej.web.scrollorientation.md) values. |

### ![](/files/hsR4ok3152WyAf8J2C1u) ScrollEventArgs(type, oldValue, newValue)

Initializes a new instance of the [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) class using the given values for the [Type](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#type), [OldValue](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#oldvalue), and [NewValue](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#newvalue) properties.

| Name         | Type                                                                        | Description                                                                                    |
| ------------ | --------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| **type**     | [ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md) | One of the [ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md) values. |
| **oldValue** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                 | The old value for the scroll bar.                                                              |
| **newValue** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                 | The new value for the scroll bar.                                                              |

### ![](/files/hsR4ok3152WyAf8J2C1u) ScrollEventArgs(type, oldValue, newValue, scroll)

Initializes a new instance of the [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) class using the given values for the [Type](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#type), [OldValue](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#oldvalue), [NewValue](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#newvalue), and [ScrollOrientation](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#scrollorientation) properties.

| Name         | Type                                                                            | Description                                                                                        |
| ------------ | ------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| **type**     | [ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md)     | One of the [ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md) values.     |
| **oldValue** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                     | The old value for the scroll bar.                                                                  |
| **newValue** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                     | The new value for the scroll bar.                                                                  |
| **scroll**   | [ScrollOrientation](/api/wisej.web/enumerations/wisej.web.scrollorientation.md) | One of the [ScrollOrientation](/api/wisej.web/enumerations/wisej.web.scrollorientation.md) values. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) NewValue

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the new [Value](/api/wisej.web/content/scrollbar.md#value) of the scroll bar.

### ![](/files/hsR4ok3152WyAf8J2C1u) OldValue

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the old [Value](/api/wisej.web/content/scrollbar.md#value) of the scroll bar.

### ![](/files/hsR4ok3152WyAf8J2C1u) ScrollOrientation

[ScrollOrientation](/api/wisej.web/enumerations/wisej.web.scrollorientation.md): Returns the scroll bar orientation that raised the Scroll event.

### ![](/files/hsR4ok3152WyAf8J2C1u) Type

[ScrollEventType](/api/wisej.web/enumerations/wisej.web.scrolleventtype.md): Returns the type of scroll event that occurred.

## Used By

| Name                                                                                   | Description                                                                                                                                                                                                                                                                                                  |
| -------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [ScrollEventHandler](/api/wisej.web/content/scrollbar/wisej.web.scrolleventhandler.md) | Represents the method that handles the Scroll event of a [ScrollableControl](/api/wisej.web/containers/scrollablecontrol.md), [ScrollBar](/api/wisej.web/content/scrollbar.md), [TrackBar](/api/wisej.web/editors/wisej.web.trackbar.md), or [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.scrolleventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
